Bug 44295 - New port: lang/mlton, an optimizing Standard ML compiler
Summary: New port: lang/mlton, an optimizing Standard ML compiler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-20 05:30 UTC by Stephen Weeks
Modified: 2004-08-21 16:43 UTC (History)
0 users

See Also:


Attachments
file.shar (9.27 KB, text/plain)
2002-10-20 05:30 UTC, Stephen Weeks
no flags Details
Makefile (2.01 KB, text/x-makefile; charset="iso-8859-1")
2004-06-23 06:55 UTC, Mark Linimon
no flags Details
pkg-plist (20.59 KB, text/plain; charset="iso-8859-1")
2004-06-23 06:55 UTC, Mark Linimon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Weeks 2002-10-20 05:30:01 UTC
MLton is an optimizing Standard ML compiler.  See www.mlton.org.
Comment 1 Stephen Weeks 2003-01-29 04:00:34 UTC
I have a question for all the FreeBSD experts out there regarding a
problem we have with the MLton FreeBSD port.  We are seeing much worse
performance on FreeBSD than on a comparable Linux machine.  We often
see cpu utilization well under 80%.  We haven't had much time to look
into it, but conjecture it may be due to how the MLton runtime uses
mmap.  If you have any ideas or even better, a patch, please send
them.  Thanks.
Comment 2 Mark Linimon 2003-11-10 03:13:27 UTC
Is the submitter by any chance still interested in this port?  By
now this is one of the oldest "new ports" PRs in GNATS.
Comment 3 Mark Linimon 2003-11-11 06:11:02 UTC
I can't get the bootstrap function that's built-in to this
Makefile to work.  Can the submitter test to see if it still
works on his machine?  (btw s/gmp.5/gmp.6 to get that far).
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2003-11-11 20:40:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

Since I've asked for followup on this one, I'll take it.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2003-11-15 05:08:02 UTC
State Changed
From-To: open->feedback

Note that I'm actively working with the submitter on getting 
this fixed up for inclusion.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2003-11-17 05:28:44 UTC
State Changed
From-To: feedback->open

Feedback received.  I'm still puzzling over how to get 
the boostrapping functionality to work with our ports 
system, however.
Comment 7 mainland 2004-04-29 05:31:13 UTC
I'm quite interested in getting this port added. Is there any way I can 
help?

Stephen, would it be possible for you to build a statically linked 
version that could be used to bootstrap the port, ala the GHC port? The 
FreeBSD package that is hosted at mlton.org won't install for me as my 
libgmp port is at 4.1.2_3 and the package wants 4.0.1.

Geoff
Comment 8 Stephen Weeks 2004-04-29 18:59:40 UTC
> I'm quite interested in getting this port added. Is there any way I can 
> help?

I'd like to see it too.  I'm not a FreeBSD developer so I don't have
the power to make it happen.  I had some discussions with Mark Linimon
<linimon@FreeBSD.org>, who was looking into it several months ago, but
I don't think he made much progress (also due to bootstrapping
problems).  I mention it only so you can check with him to avoid
duplicate effort.

> Stephen, would it be possible for you to build a statically linked 
> version that could be used to bootstrap the port, ala the GHC port?

I tried compiling MLton 20040227 with -link-opt -static, but that died
due to a duplicate definition of strtod, which is in libc and is also
in the gdtoa library that MLton uses for real<->decimal conversions.
I guess that should be fixed.

To get things working, I rebuilt MLton 20040227 statically linking
with libgmp, but leaving the dynamic dependencies on libc and libm.
So ldd now reports

mlton-compile:
        libm.so.2 => /usr/lib/libm.so.2 (0x287c7000)
        libc.so.4 => /usr/lib/libc.so.4 (0x287e3000)

Hopefully those are OK for you.

The package is at

	http://www.mlton.org/experimental/mlton-20040429-1.i386-freebsd.tgz

Let me know how it goes.
Comment 9 mainland 2004-04-30 02:26:01 UTC
On Thu, Apr 29, 2004 at 10:59:40AM -0700, Stephen Weeks wrote:
> 
> > I'm quite interested in getting this port added. Is there any way I can 
> > help?
> 
> I'd like to see it too.  I'm not a FreeBSD developer so I don't have
> the power to make it happen.  I had some discussions with Mark Linimon
> <linimon@FreeBSD.org>, who was looking into it several months ago, but
> I don't think he made much progress (also due to bootstrapping
> problems).  I mention it only so you can check with him to avoid
> duplicate effort.

Mark and I have been in touch--thanks.

> > Stephen, would it be possible for you to build a statically linked 
> > version that could be used to bootstrap the port, ala the GHC port?
> 
> I tried compiling MLton 20040227 with -link-opt -static, but that died
> due to a duplicate definition of strtod, which is in libc and is also
> in the gdtoa library that MLton uses for real<->decimal conversions.
> I guess that should be fixed.
> 
> To get things working, I rebuilt MLton 20040227 statically linking
> with libgmp, but leaving the dynamic dependencies on libc and libm.
> So ldd now reports
> 
> mlton-compile:
>         libm.so.2 => /usr/lib/libm.so.2 (0x287c7000)
>         libc.so.4 => /usr/lib/libc.so.4 (0x287e3000)
> 
> Hopefully those are OK for you.
> 
> The package is at
> 
> 	http://www.mlton.org/experimental/mlton-20040429-1.i386-freebsd.tgz
> 
> Let me know how it goes.

Thanks for doing a build so quickly. I was able to install your package,
and I also hacked up a port that will use you package to bootstrap a
build without requiring the package to be installed first. The port is
attached--you and/or Mark will likely want to edit it.

This port *has not* been tested under FreeBSD 5.

Geoff

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# New ports collection makefile for:   mlton
X# Date created:                1 Oct 2002
X# Whom:                        Stephen Weeks <sweeks@sweeks.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	mlton
XPORTVERSION=	20040227
XCATEGORIES= 	lang
XMASTER_SITES=	http://www.mlton.org/download/:source \
X		http://www.mlton.org/experimental/:boot
XEXTRACT_SUFX=	-1.src.tgz
X
XSRC_DIST=	${DISTNAME}${EXTRACT_SUFX}:source
XBOOT_DIST=	mlton-20040429-1.i386-freebsd.tgz:boot
X
XDISTFILES=	${SRC_DIST} ${BOOT_DIST}
XEXTRACT_ONLY=	$(SRC_DIST:C/:[^:]+$//)
X
XONLY_FOR_ARCHS=	i386
X
XMAINTAINER=	MLton@mlton.org
XCOMMENT=	An optimizing Standard ML compiler
X
XBUILD_DEPENDS=	hevea:$(PORTSDIR)/textproc/hevea \
X		latex:$(PORTSDIR)/print/latex \
X		latex2html:$(PORTSDIR)/textproc/latex2html
XLIB_DEPENDS=	gmp.6:$(PORTSDIR)/math/libgmp4
X
X.include <bsd.port.pre.mk>
X
XBOOT_WRKSRC=	${WRKDIR}/mlton-bootstrap
X
XUSE_REINPLACE=	yes
XUSE_GMAKE= 	yes
XMAKE_ARGS=	DESTDIR='' \
X		PREFIX=$(PREFIX)
X.if !exists(${PREFIX}/bin/mlton)
XMAKE_ARGS+=	PATH=${BOOT_WRKSRC}/bin:${PATH}
X.endif 
X
XMAN1= 		mllex.1 mlprof.1 mlton.1 mlyacc.1
XMANCOMPRESSED=	yes
X
Xpost-extract:
X	@${MKDIR} ${BOOT_WRKSRC} 
X	@${TAR} zxf ${DISTDIR}/${BOOT_DIST:C/:[^:]+$//} -C ${BOOT_WRKSRC}
X	@${REINPLACE_CMD} -e \
X	"s|lib=\'/usr/local/|lib=\'${BOOT_WRKSRC}/|" \
X	${BOOT_WRKSRC}/bin/mlton
X
X.include <bsd.port.post.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (mlton-20040227-1.src.tgz) = bbf3186136d5fd1bd766a0e7b1366535
XSIZE (mlton-20040227-1.src.tgz) = 2264887
XMD5 (mlton-20040429-1.i386-freebsd.tgz) = 18ed592b037ac6190756a66a7679802f
XSIZE (mlton-20040429-1.i386-freebsd.tgz) = 3819875
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XThis is a port of MLton, the whole-program optimizing Standard ML Compiler.
XMLton runs on x86 machines with Linux, FreeBSD, or Cygwin/Windows. MLton
Xgenerates excellent code, has a fast C FFI, profiling, and many useful
Xlibraries, including an interface to the GNU multiprecision library.  For more
Xinformation, go to the MLton home page.
X
XWWW:	http://www.mlton.org/
X    
XStephen Weeks <sweeks@sweeks.com>
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/mllex
Xbin/mlprof
Xbin/mlton
Xbin/mlyacc
Xlib/mlton/include/IntInf.h
Xlib/mlton/include/basis-constants.h
Xlib/mlton/include/c-chunk.h
Xlib/mlton/include/c-common.h
Xlib/mlton/include/c-main.h
Xlib/mlton/include/gc.h
Xlib/mlton/include/libmlton.h
Xlib/mlton/include/main.h
Xlib/mlton/include/mlton-basis.h
Xlib/mlton/include/mlton-posix.h
Xlib/mlton/include/my-lib.h
Xlib/mlton/include/net-constants.h
Xlib/mlton/include/posix-constants.h
Xlib/mlton/include/types.h
Xlib/mlton/include/x86-main.h
Xlib/mlton/self/constants
Xlib/mlton/self/libgdtoa.a
Xlib/mlton/self/libmlton-gdb.a
Xlib/mlton/self/libmlton.a
Xlib/mlton/sml/basis-library/arrays-and-vectors/array-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/array2.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array2.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array2.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array2.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/sequence.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/sequence.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector.sml
Xlib/mlton/sml/basis-library/general/bool.sig
Xlib/mlton/sml/basis-library/general/bool.sml
Xlib/mlton/sml/basis-library/general/general.sig
Xlib/mlton/sml/basis-library/general/general.sml
Xlib/mlton/sml/basis-library/general/option.sig
Xlib/mlton/sml/basis-library/general/option.sml
Xlib/mlton/sml/basis-library/general/sml90.sig
Xlib/mlton/sml/basis-library/general/sml90.sml
Xlib/mlton/sml/basis-library/integer/int-inf.sig
Xlib/mlton/sml/basis-library/integer/int-inf.sml
Xlib/mlton/sml/basis-library/integer/int.sml
Xlib/mlton/sml/basis-library/integer/integer.sig
Xlib/mlton/sml/basis-library/integer/pack-word.sig
Xlib/mlton/sml/basis-library/integer/pack-word32.sml
Xlib/mlton/sml/basis-library/integer/patch.sml
Xlib/mlton/sml/basis-library/integer/word.sig
Xlib/mlton/sml/basis-library/integer/word.sml
Xlib/mlton/sml/basis-library/io/bin-io.sig
Xlib/mlton/sml/basis-library/io/bin-io.sml
Xlib/mlton/sml/basis-library/io/bin-prim-io.sml
Xlib/mlton/sml/basis-library/io/bin-stream-io.sig
Xlib/mlton/sml/basis-library/io/imperative-io.fun
Xlib/mlton/sml/basis-library/io/imperative-io.sig
Xlib/mlton/sml/basis-library/io/io.sig
Xlib/mlton/sml/basis-library/io/io.sml
Xlib/mlton/sml/basis-library/io/prim-io.fun
Xlib/mlton/sml/basis-library/io/prim-io.sig
Xlib/mlton/sml/basis-library/io/stream-io.fun
Xlib/mlton/sml/basis-library/io/stream-io.sig
Xlib/mlton/sml/basis-library/io/text-io.sig
Xlib/mlton/sml/basis-library/io/text-io.sml
Xlib/mlton/sml/basis-library/io/text-prim-io.sml
Xlib/mlton/sml/basis-library/io/text-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/array.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-array.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-array2.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-vector-array-array2-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-vector.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/vector-array-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/vector.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/integer/word.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/file-sys-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/file-sys.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/flags-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/flags.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/posix-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/posix.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/process-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/process.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/tty-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/tty.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/real/IEEE-real-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/real/IEEE-real.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/real/real-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/real/real.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/file-sys-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/file-sys.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/os-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/os.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/path-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/path.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/process-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/process.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/timer-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/timer.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/unix-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/unix.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/string.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/substring.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/text-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis-funs.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis-sigs.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/overloads.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/bind
Xlib/mlton/sml/basis-library/libs/basis-1997/prefix
Xlib/mlton/sml/basis-library/libs/basis-1997/suffix
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis-funs.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis-sigs.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/overloads.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/bind
Xlib/mlton/sml/basis-library/libs/basis-2002/prefix
Xlib/mlton/sml/basis-library/libs/basis-2002/suffix
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/bind
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/prefix
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/suffix
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/suffix.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-none/bind
Xlib/mlton/sml/basis-library/libs/basis-none/prefix
Xlib/mlton/sml/basis-library/libs/basis-none/suffix
Xlib/mlton/sml/basis-library/libs/build
Xlib/mlton/sml/basis-library/list/list-pair.sig
Xlib/mlton/sml/basis-library/list/list-pair.sml
Xlib/mlton/sml/basis-library/list/list.sig
Xlib/mlton/sml/basis-library/list/list.sml
Xlib/mlton/sml/basis-library/misc/C.sig
Xlib/mlton/sml/basis-library/misc/C.sml
Xlib/mlton/sml/basis-library/misc/basic.sml
Xlib/mlton/sml/basis-library/misc/cleaner.sig
Xlib/mlton/sml/basis-library/misc/cleaner.sml
Xlib/mlton/sml/basis-library/misc/dynamic-wind.sig
Xlib/mlton/sml/basis-library/misc/dynamic-wind.sml
Xlib/mlton/sml/basis-library/misc/primitive.sml
Xlib/mlton/sml/basis-library/misc/reader.sig
Xlib/mlton/sml/basis-library/misc/reader.sml
Xlib/mlton/sml/basis-library/misc/suffix.sml
Xlib/mlton/sml/basis-library/misc/unique-id.fun
Xlib/mlton/sml/basis-library/misc/unique-id.sig
Xlib/mlton/sml/basis-library/misc/util.sml
Xlib/mlton/sml/basis-library/mlton/array.sig
Xlib/mlton/sml/basis-library/mlton/bin-io.sig
Xlib/mlton/sml/basis-library/mlton/cont.sig
Xlib/mlton/sml/basis-library/mlton/cont.sml
Xlib/mlton/sml/basis-library/mlton/exn.sig
Xlib/mlton/sml/basis-library/mlton/exn.sml
Xlib/mlton/sml/basis-library/mlton/ffi.sig
Xlib/mlton/sml/basis-library/mlton/ffi.sml
Xlib/mlton/sml/basis-library/mlton/finalizable.sig
Xlib/mlton/sml/basis-library/mlton/finalizable.sml
Xlib/mlton/sml/basis-library/mlton/gc.sig
Xlib/mlton/sml/basis-library/mlton/gc.sml
Xlib/mlton/sml/basis-library/mlton/int-inf.sig
Xlib/mlton/sml/basis-library/mlton/io.fun
Xlib/mlton/sml/basis-library/mlton/io.sig
Xlib/mlton/sml/basis-library/mlton/itimer.sig
Xlib/mlton/sml/basis-library/mlton/itimer.sml
Xlib/mlton/sml/basis-library/mlton/mlton.sig
Xlib/mlton/sml/basis-library/mlton/mlton.sml
Xlib/mlton/sml/basis-library/mlton/platform.sig
Xlib/mlton/sml/basis-library/mlton/platform.sml
Xlib/mlton/sml/basis-library/mlton/pointer.sig
Xlib/mlton/sml/basis-library/mlton/pointer.sml
Xlib/mlton/sml/basis-library/mlton/proc-env.sig
Xlib/mlton/sml/basis-library/mlton/proc-env.sml
Xlib/mlton/sml/basis-library/mlton/process.sig
Xlib/mlton/sml/basis-library/mlton/process.sml
Xlib/mlton/sml/basis-library/mlton/profile.sig
Xlib/mlton/sml/basis-library/mlton/profile.sml
Xlib/mlton/sml/basis-library/mlton/ptrace.sig
Xlib/mlton/sml/basis-library/mlton/ptrace.sml
Xlib/mlton/sml/basis-library/mlton/random.sig
Xlib/mlton/sml/basis-library/mlton/random.sml
Xlib/mlton/sml/basis-library/mlton/rlimit.sig
Xlib/mlton/sml/basis-library/mlton/rlimit.sml
Xlib/mlton/sml/basis-library/mlton/rusage.sig
Xlib/mlton/sml/basis-library/mlton/rusage.sml
Xlib/mlton/sml/basis-library/mlton/signal.sig
Xlib/mlton/sml/basis-library/mlton/signal.sml
Xlib/mlton/sml/basis-library/mlton/socket.sig
Xlib/mlton/sml/basis-library/mlton/socket.sml
Xlib/mlton/sml/basis-library/mlton/syslog.sig
Xlib/mlton/sml/basis-library/mlton/syslog.sml
Xlib/mlton/sml/basis-library/mlton/text-io.sig
Xlib/mlton/sml/basis-library/mlton/thread.sig
Xlib/mlton/sml/basis-library/mlton/thread.sml
Xlib/mlton/sml/basis-library/mlton/vector.sig
Xlib/mlton/sml/basis-library/mlton/weak.sig
Xlib/mlton/sml/basis-library/mlton/weak.sml
Xlib/mlton/sml/basis-library/mlton/word.sig
Xlib/mlton/sml/basis-library/mlton/world.sig
Xlib/mlton/sml/basis-library/mlton/world.sml
Xlib/mlton/sml/basis-library/net/generic-sock.sig
Xlib/mlton/sml/basis-library/net/generic-sock.sml
Xlib/mlton/sml/basis-library/net/inet-sock.sig
Xlib/mlton/sml/basis-library/net/inet-sock.sml
Xlib/mlton/sml/basis-library/net/net-host-db.sig
Xlib/mlton/sml/basis-library/net/net-host-db.sml
Xlib/mlton/sml/basis-library/net/net-prot-db.sig
Xlib/mlton/sml/basis-library/net/net-prot-db.sml
Xlib/mlton/sml/basis-library/net/net-serv-db.sig
Xlib/mlton/sml/basis-library/net/net-serv-db.sml
Xlib/mlton/sml/basis-library/net/net.sig
Xlib/mlton/sml/basis-library/net/net.sml
Xlib/mlton/sml/basis-library/net/socket.sig
Xlib/mlton/sml/basis-library/net/socket.sml
Xlib/mlton/sml/basis-library/net/unix-sock.sig
Xlib/mlton/sml/basis-library/net/unix-sock.sml
Xlib/mlton/sml/basis-library/posix/error.sig
Xlib/mlton/sml/basis-library/posix/error.sml
Xlib/mlton/sml/basis-library/posix/file-sys.sig
Xlib/mlton/sml/basis-library/posix/file-sys.sml
Xlib/mlton/sml/basis-library/posix/flags.sig
Xlib/mlton/sml/basis-library/posix/flags.sml
Xlib/mlton/sml/basis-library/posix/io.sig
Xlib/mlton/sml/basis-library/posix/io.sml
Xlib/mlton/sml/basis-library/posix/posix.sig
Xlib/mlton/sml/basis-library/posix/posix.sml
Xlib/mlton/sml/basis-library/posix/primitive.sml
Xlib/mlton/sml/basis-library/posix/proc-env.sig
Xlib/mlton/sml/basis-library/posix/proc-env.sml
Xlib/mlton/sml/basis-library/posix/process.sig
Xlib/mlton/sml/basis-library/posix/process.sml
Xlib/mlton/sml/basis-library/posix/signal.sig
Xlib/mlton/sml/basis-library/posix/signal.sml
Xlib/mlton/sml/basis-library/posix/sys-db.sig
Xlib/mlton/sml/basis-library/posix/sys-db.sml
Xlib/mlton/sml/basis-library/posix/tty.sig
Xlib/mlton/sml/basis-library/posix/tty.sml
Xlib/mlton/sml/basis-library/real/IEEE-real.sig
Xlib/mlton/sml/basis-library/real/IEEE-real.sml
Xlib/mlton/sml/basis-library/real/math.sig
Xlib/mlton/sml/basis-library/real/pack-real.sig
Xlib/mlton/sml/basis-library/real/pack-real.sml
Xlib/mlton/sml/basis-library/real/real.fun
Xlib/mlton/sml/basis-library/real/real.sig
Xlib/mlton/sml/basis-library/real/real32.sml
Xlib/mlton/sml/basis-library/real/real64.sml
Xlib/mlton/sml/basis-library/sml-nj/sml-nj.sig
Xlib/mlton/sml/basis-library/sml-nj/sml-nj.sml
Xlib/mlton/sml/basis-library/sml-nj/unsafe.sig
Xlib/mlton/sml/basis-library/sml-nj/unsafe.sml
Xlib/mlton/sml/basis-library/system/command-line.sig
Xlib/mlton/sml/basis-library/system/command-line.sml
Xlib/mlton/sml/basis-library/system/date.sig
Xlib/mlton/sml/basis-library/system/date.sml
Xlib/mlton/sml/basis-library/system/file-sys.sig
Xlib/mlton/sml/basis-library/system/file-sys.sml
Xlib/mlton/sml/basis-library/system/io.sig
Xlib/mlton/sml/basis-library/system/io.sml
Xlib/mlton/sml/basis-library/system/os.sig
Xlib/mlton/sml/basis-library/system/os.sml
Xlib/mlton/sml/basis-library/system/path.sig
Xlib/mlton/sml/basis-library/system/path.sml
Xlib/mlton/sml/basis-library/system/pre-os.sml
Xlib/mlton/sml/basis-library/system/process.sig
Xlib/mlton/sml/basis-library/system/process.sml
Xlib/mlton/sml/basis-library/system/time.sig
Xlib/mlton/sml/basis-library/system/time.sml
Xlib/mlton/sml/basis-library/system/timer.sig
Xlib/mlton/sml/basis-library/system/timer.sml
Xlib/mlton/sml/basis-library/system/unix.sig
Xlib/mlton/sml/basis-library/system/unix.sml
Xlib/mlton/sml/basis-library/text/byte.sig
Xlib/mlton/sml/basis-library/text/byte.sml
Xlib/mlton/sml/basis-library/text/char.sig
Xlib/mlton/sml/basis-library/text/char.sml
Xlib/mlton/sml/basis-library/text/char0.sml
Xlib/mlton/sml/basis-library/text/string-cvt.sig
Xlib/mlton/sml/basis-library/text/string-cvt.sml
Xlib/mlton/sml/basis-library/text/string.sig
Xlib/mlton/sml/basis-library/text/string.sml
Xlib/mlton/sml/basis-library/text/string0.sml
Xlib/mlton/sml/basis-library/text/substring.sig
Xlib/mlton/sml/basis-library/text/substring.sml
Xlib/mlton/sml/basis-library/text/text.sig
Xlib/mlton/sml/basis-library/text/text.sml
Xlib/mlton/sml/basis-library/top-level/arithmetic.sml
Xlib/mlton/sml/basis-library/top-level/infixes.sml
Xlib/mlton/sml/basis-library/Makefile
Xlib/mlton/sml/basis-library/README
Xlib/mlton/sml/basis-library/notes.txt
Xlib/mlton/mlton-compile
Xlib/mlton/platform
Xlib/mlton/target-map
Xlib/mlton/world.mlton
Xshare/doc/mlton/cmcat/cmcat.sml
Xshare/doc/mlton/cmcat/sources.cm
Xshare/doc/mlton/examples/ffi/Makefile
Xshare/doc/mlton/examples/ffi/export.sml
Xshare/doc/mlton/examples/ffi/ffi-export.c
Xshare/doc/mlton/examples/ffi/ffi-import.c
Xshare/doc/mlton/examples/ffi/import.sml
Xshare/doc/mlton/examples/finalizable/Makefile
Xshare/doc/mlton/examples/finalizable/cons.c
Xshare/doc/mlton/examples/finalizable/finalizable.sml
Xshare/doc/mlton/examples/profiling/Makefile
Xshare/doc/mlton/examples/profiling/fib-tak.sml
Xshare/doc/mlton/examples/profiling/list-rev.sml
Xshare/doc/mlton/examples/profiling/tak.sml
Xshare/doc/mlton/examples/save-world/Makefile
Xshare/doc/mlton/examples/save-world/save-world.sml
Xshare/doc/mlton/examples/Makefile
Xshare/doc/mlton/examples/callcc.sml
Xshare/doc/mlton/examples/command-line.sml
Xshare/doc/mlton/examples/hello-world.sml
Xshare/doc/mlton/examples/same-fringe.sml
Xshare/doc/mlton/examples/signals.sml
Xshare/doc/mlton/examples/size.sml
Xshare/doc/mlton/examples/taut.sml
Xshare/doc/mlton/examples/thread-switch.sml
Xshare/doc/mlton/examples/thread1.sml
Xshare/doc/mlton/examples/thread2.sml
Xshare/doc/mlton/examples/timeout.sml
Xshare/doc/mlton/license/MLKit-LICENSE
Xshare/doc/mlton/license/MLton-LICENSE
Xshare/doc/mlton/license/NJ-LICENSE
Xshare/doc/mlton/license/README
Xshare/doc/mlton/license/gdtoa-LICENSE
Xshare/doc/mlton/license/gmp-LICENSE
Xshare/doc/mlton/user-guide/Basis_library.html
Xshare/doc/mlton/user-guide/Bugs.html
Xshare/doc/mlton/user-guide/CM.html
Xshare/doc/mlton/user-guide/Compiling_MLton.html
Xshare/doc/mlton/user-guide/Credits.html
Xshare/doc/mlton/user-guide/Cross_compiling.html
Xshare/doc/mlton/user-guide/Deviations_SML_NJ_from.html
Xshare/doc/mlton/user-guide/Drawbacks_MLton.html
Xshare/doc/mlton/user-guide/Features_MLton.html
Xshare/doc/mlton/user-guide/Foreign_function_interface.html
Xshare/doc/mlton/user-guide/Getting_started.html
Xshare/doc/mlton/user-guide/MLton_extensions.html
Xshare/doc/mlton/user-guide/Manual_page.html
Xshare/doc/mlton/user-guide/Platform_specific_notes.html
Xshare/doc/mlton/user-guide/Profiling.html
Xshare/doc/mlton/user-guide/Type_checking.html
Xshare/doc/mlton/user-guide/contents_motif.gif
Xshare/doc/mlton/user-guide/index.html
Xshare/doc/mlton/user-guide/main.haux
Xshare/doc/mlton/user-guide/main.htoc
Xshare/doc/mlton/user-guide/main016.html
Xshare/doc/mlton/user-guide/next_motif.gif
Xshare/doc/mlton/user-guide/previous_motif.gif
Xshare/doc/mlton/README
Xshare/doc/mlton/changelog
Xshare/doc/mlton/mllex.ps.gz
Xshare/doc/mlton/mlyacc.ps.gz
Xshare/doc/mlton/user-guide.ps.gz
X@dirrm lib/mlton/include
X@dirrm lib/mlton/self
X@dirrm lib/mlton/sml/basis-library/arrays-and-vectors
X@dirrm lib/mlton/sml/basis-library/general
X@dirrm lib/mlton/sml/basis-library/integer
X@dirrm lib/mlton/sml/basis-library/io
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/integer
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/io
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/posix
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/real
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/system
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/text
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002-strict/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002-strict
X@dirrm lib/mlton/sml/basis-library/libs/basis-none/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-none
X@dirrm lib/mlton/sml/basis-library/libs
X@dirrm lib/mlton/sml/basis-library/list
X@dirrm lib/mlton/sml/basis-library/misc
X@dirrm lib/mlton/sml/basis-library/mlton
X@dirrm lib/mlton/sml/basis-library/net
X@dirrm lib/mlton/sml/basis-library/posix
X@dirrm lib/mlton/sml/basis-library/real
X@dirrm lib/mlton/sml/basis-library/sml-nj
X@dirrm lib/mlton/sml/basis-library/system
X@dirrm lib/mlton/sml/basis-library/text
X@dirrm lib/mlton/sml/basis-library/top-level
X@dirrm lib/mlton/sml/basis-library
X@dirrm lib/mlton/sml
X@dirrm lib/mlton
X@dirrm share/doc/mlton/cmcat
X@dirrm share/doc/mlton/examples/ffi
X@dirrm share/doc/mlton/examples/finalizable
X@dirrm share/doc/mlton/examples/profiling
X@dirrm share/doc/mlton/examples/save-world
X@dirrm share/doc/mlton/examples
X@dirrm share/doc/mlton/license
X@dirrm share/doc/mlton/user-guide
X@dirrm share/doc/mlton
END-of-pkg-plist
exit
Comment 10 Stephen Weeks 2004-04-30 07:48:21 UTC
> I also hacked up a port that will use you package to bootstrap a
> build without requiring the package to be installed first. The port
> is attached--you and/or Mark will likely want to edit it.

It looks great to me.  I am not a FreeBSD packaging whiz, so I don't
have anything to add.  Once you guys get something that you're happy
with, I'd like to integrate the changes into the MLton CVS so that I
can automatically build the package on my FreeBSD machine.

> This port *has not* been tested under FreeBSD 5.

I run 4.6.2 and do not have a 5 machine.  I'll set one up some day.
Until then, Mark, can you try MLton out on one?
Comment 11 Stephen Weeks 2004-06-10 22:29:46 UTC
> > This port *has not* been tested under FreeBSD 5.
> 
> I run 4.6.2 and do not have a 5 machine.  I'll set one up some day.
> Until then, Mark, can you try MLton out on one?

I just installed FreeBSD 5 and integrated Geoff's Makefile changes
into the MLton sources.  I now understand the FreeBSD packaging
process better, and think that I have a portdir.shar file that should
work well on FreeBSD 5.  Mark, can you please try

	http://www.mlton.org/experimental/mlton-20040610-1.portdir.shar

and see how it works for you?  I hope this will eliminate the
bootstrapping problems you saw and we can make progress on getting
MLton as an official port.  Thanks.
Comment 12 Mark Linimon 2004-06-23 06:55:16 UTC
Well, whatever you guys are trying to do in this Makefile is unfortunately
_way_ beyond me :-(

But a couple of things:

1. I can't fetch it:

>> Attempting to fetch from http://www.mlton.org/experimental/.
fetch: http://www.mlton.org/experimental/mlton-20040610-1.src.tgz: Not Found

I was able to change the Makefile back to the 20040516 sources but those
are tgz, not tbz, so I gave up before I went too far wrong.

2. The port does not pass portlint.  I have included a version of
Makefile/pkg-plist that does.  This was based on your files plus the
changes that I had previously had to make to the other Makefile.

3. I don't understand why you need to build a plist if you already have one.

I kind-of understood the problems with the old port but this one I'm at a
loss.  I may need to release this PR and let someone who is more of an
expert than I am to work on it :-( especially as I am now weeks and
weeks behind on other things that I have promised people that I would do.

In any case, here's the files that I edited up.  The ordering of the targets
has changed, extra whitespace is gone (using spaces in a Makevar
assigned is discouraged), PORTDOCS is inserted.

mcl
Comment 13 Mark Linimon freebsd_committer freebsd_triage 2004-06-23 07:01:29 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs

I'm going to have to admit that I'm way over my head on this 
one due to its self-hosting issues that require a Very Special 
Makefile.  I recommend working on this port to some expert porter 
who is looking for a real challenge.  Sorry, guys :-(
Comment 14 Stephen Weeks 2004-06-23 23:52:41 UTC
> Well, whatever you guys are trying to do in this Makefile is unfortunately
> _way_ beyond me :-(

The idea is to
 1. Download a binary version of MLton, BOOT_DIST, to use for
    bootstrapping.
 2. Compile the MLton sources (SRC_DIST) using BOOT_DIST.

> 1. I can't fetch it:
> 
> >> Attempting to fetch from http://www.mlton.org/experimental/.
> fetch: http://www.mlton.org/experimental/mlton-20040610-1.src.tgz: Not Found
> 
> I was able to change the Makefile back to the 20040516 sources but those
> are tgz, not tbz, so I gave up before I went too far wrong.

Darn.  Sorry about that.  I went and changed the name for the source
distribution.  The correct file was

	http://www.mlton.org/experimental/mlton-20040610-1.freebsd.src.tgz

I've updated the Makefile to reflect the proper SRC_DIST.

> 2. The port does not pass portlint. 

What precisely do you mean by "does not pass"?  As part of the build
process (see the "build-package" target in the Makefile), I run
"portlint .".  I also just ran this on the port created by the
portdir.shar file that I sent you.  Here is what I get:

% portlint .
WARN: Makefile [24]: whitespace before end of line.
WARN: Makefile [23]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: Makefile [59]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: Makefile [67]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: Makefile: no port directory /usr/ports/lang/mlton found, even though it is listed in BUILD_DEPENDS.
0 fatal errors and 5 warnings found.

These are all WARNs, not ERRORs, so I figured I was OK.

> I have included a version of Makefile/pkg-plist that does.  This was
> based on your files plus the changes that I had previously had to
> make to the other Makefile.

The differences between the pkg-plist in the port and the pkg-plist
that you sent are

1. "@dirrm share/doc/mlton" is replaced by "%%PORTDOCS%%@dirrm %%DOCSDIR%%"
2. "share/doc/mlton" is replaced by "%%PORTDOCS%%%%DOCSDIR%%"

I have added sed commands to the pkg-plist Makefile target to make
these changes.  But I don't understand the connection with not passing
portlint.

> 3. I don't understand why you need to build a plist if you already have one.

I guess you're referring to the fact that pkg-plist is a .PHONY target
in the Makefile.  Yeah, I guess there's no need for it.  It was there
to make sure that the pkg-plist got built automatically, but that only
really needs to happen when I make the intial package and
portdir.shar.  So, pkg-plist is no longer .PHONY.

> I kind-of understood the problems with the old port but this one I'm
> at a loss.

I think the main problem was due to my messing up the SRC_DIST.  The
hope is to set things up so you don't have to understand how MLton
bootstraps.  You're just supposed to type make :-).

> I may need to release this PR and let someone who is more of an
> expert than I am to work on it :-( especially as I am now weeks and
> weeks behind on other things that I have promised people that I would do.

Whatever you think will move things along fastest.   I feel like we're
getting pretty close.

> In any case, here's the files that I edited up.  The ordering of the
> targets has changed, extra whitespace is gone (using spaces in a
> Makevar assigned is discouraged), PORTDOCS is inserted.

I've incorporated your edits into my Makefile, with a couple of
exceptions.  First, I have the MASTER_SITES as

MASTER_SITES=	http://www.mlton.org/download/	\
		http://www.mlton.org/experimental/

(you had duplicated experimental).  Second, I didn't replace "sort" by
${SORT}, since for some reason ${SORT} is not defined when I make on
my machine.

I built a new package with this new Makefile.  Here is the
portdir.shar.  If you could try it that would be great.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	usr/ports/lang/mlton
#	usr/ports/lang/mlton/Makefile
#	usr/ports/lang/mlton/distinfo
#	usr/ports/lang/mlton/pkg-descr
#	usr/ports/lang/mlton/pkg-plist
#
echo c - usr/ports/lang/mlton
mkdir -p usr/ports/lang/mlton > /dev/null 2>&1
echo x - usr/ports/lang/mlton/Makefile
sed 's/^X//' >usr/ports/lang/mlton/Makefile << 'END-of-usr/ports/lang/mlton/Makefile'
X# New ports collection makefile for:   mlton
X# Date created:                1 Oct 2002
X# Whom:                        Stephen Weeks <sweeks@sweeks.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	mlton
XPORTVERSION=	20040623
XCATEGORIES=	lang
XMASTER_SITES=	http://www.mlton.org/download/	\
X		http://www.mlton.org/experimental/
XDISTFILES=	${BOOT_DIST} ${SRC_DIST}
XEXTRACT_ONLY=	${SRC_DIST}
X
XMAINTAINER=	MLton@mlton.org
XCOMMENT=	An optimizing Standard ML compiler
X
X# MLton build depends on itself.  There is no easy way to avoid this.
X# This Makefile is supposed to install an alread-built version of
X# MLton, BOOT_DIST, to use for bootstrapping.
XBUILD_DEPENDS=	hevea:${PORTSDIR}/textproc/hevea: \
X		latex:${PORTSDIR}/print/teTeX: \
X		mlton:${PORTSDIR}/lang/mlton:
XLIB_DEPENDS=	gmp.6:${PORTSDIR}/math/libgmp4
X
XSRC_DIST=	${DISTNAME}-1.freebsd.src.tgz
XBOOT_DIST=	${DISTNAME}-1.i386-freebsd.tbz
X
XONLY_FOR_ARCHS=	i386
X
XMAN1=		mllex.1 mlprof.1 mlton.1 mlyacc.1
XMANCOMPRESSED=	yes
X
XBOOT_WRKSRC=	${WRKDIR}/mlton-bootstrap
X
XUSE_REINPLACE=	yes
XALL_TARGET=	all
XUSE_GMAKE=	yes
XMAKE_ARGS=	DESTDIR='' \
X		PREFIX=${PREFIX}
X
XPORTDIR=	usr/ports/lang/mlton
X
X.PHONY: build-package
Xbuild-package:
X	export PATH=${BOOT_WRKSRC}/bin:${PATH} && ${MAKE} makesum build pkg-plist
X	portlint .
X	${MAKE} deinstall
X	${MAKE} install
X	${MAKE} package
X	${TAR} -cpf - Makefile distinfo pkg-descr pkg-plist | \
X		( ${MKDIR} ${PORTDIR} && cd ${PORTDIR} && ${TAR} -xpf - )
X	shar `find ${PORTDIR}` >/tmp/mlton-${PORTVERSION}-portdir.shar
X
XTMP_PLIST=	/tmp/mlton.pkg-plist
XPLIST=		${.CURDIR}/pkg-plist
X
Xpkg-plist:
X	cd ${WRKSRC} && ${GMAKE} install
X	cd ${WRKSRC}/install/usr && \
X		${FIND} -d * \! -type d | ${GREP} -v man/man | \
X		sort >${PLIST}
X	cd ${WRKSRC}/install/usr && \
X		${FIND} -d * -type d | ${GREP} mlton | \
X			${SED} -e 's/^/@dirrm /' >>${PLIST}
X	${SED} -e 's;@dirrm share/doc/mlton;%%PORTDOCS%%@dirrm %%DOCSDIR%%;' \
X		<${PLIST} >${TMP_PLIST}
X	${SED} -e 's;share/doc/mlton;%%PORTDOCS%%%%DOCSDIR%%;'	\
X		<${TMP_PLIST} >${PLIST}
X
X.PHONY: post-extract
Xpost-extract:
X	@${MKDIR} ${BOOT_WRKSRC}
X	@${TAR} xf ${DISTDIR}/${BOOT_DIST} --bzip -C ${BOOT_WRKSRC}
X	@${REINPLACE_CMD} -e \
X		"s|lib=\'${LOCALBASE}/|lib=\'${BOOT_WRKSRC}/|" \
X	${BOOT_WRKSRC}/bin/mlton
X
X.include <bsd.port.mk>
END-of-usr/ports/lang/mlton/Makefile
echo x - usr/ports/lang/mlton/distinfo
sed 's/^X//' >usr/ports/lang/mlton/distinfo << 'END-of-usr/ports/lang/mlton/distinfo'
XMD5 (mlton-20040623-1.i386-freebsd.tbz) = d4ca6c5b96db4b3096fb6dda4bc11654
XMD5 (mlton-20040623-1.freebsd.src.tgz) = 72f7bebc8de86f7626eec3f7178db091
END-of-usr/ports/lang/mlton/distinfo
echo x - usr/ports/lang/mlton/pkg-descr
sed 's/^X//' >usr/ports/lang/mlton/pkg-descr << 'END-of-usr/ports/lang/mlton/pkg-descr'
XThis is a port of MLton, the whole-program optimizing Standard ML
XCompiler.  MLton runs on a variety of platforms, generates excellent
Xcode, has a fast C FFI, profiling, and many useful libraries,
Xincluding an interface to the GNU multiprecision library.  For more
Xinformation, go to the MLton home page.
X
XWWW:	http://www.mlton.org/
X    
XStephen Weeks <sweeks@sweeks.com>
END-of-usr/ports/lang/mlton/pkg-descr
echo x - usr/ports/lang/mlton/pkg-plist
sed 's/^X//' >usr/ports/lang/mlton/pkg-plist << 'END-of-usr/ports/lang/mlton/pkg-plist'
Xbin/mllex
Xbin/mlprof
Xbin/mlton
Xbin/mlyacc
Xlib/mlton/include/IntInf.h
Xlib/mlton/include/basis-constants.h
Xlib/mlton/include/bytecode-main.h
Xlib/mlton/include/c-chunk.h
Xlib/mlton/include/c-common.h
Xlib/mlton/include/c-main.h
Xlib/mlton/include/gc.h
Xlib/mlton/include/libmlton.h
Xlib/mlton/include/main.h
Xlib/mlton/include/mlton-basis.h
Xlib/mlton/include/mlton-posix.h
Xlib/mlton/include/my-lib.h
Xlib/mlton/include/net-constants.h
Xlib/mlton/include/posix-constants.h
Xlib/mlton/include/types.h
Xlib/mlton/include/x86-main.h
Xlib/mlton/mlton-compile
Xlib/mlton/opcodes
Xlib/mlton/platform
Xlib/mlton/self/constants
Xlib/mlton/self/libgdtoa.a
Xlib/mlton/self/libmlton-gdb.a
Xlib/mlton/self/libmlton.a
Xlib/mlton/sml/basis-library/Makefile
Xlib/mlton/sml/basis-library/README
Xlib/mlton/sml/basis-library/arrays-and-vectors/array-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/array2.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/array2.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array2.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-array2.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono-vector.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/mono.sml
Xlib/mlton/sml/basis-library/arrays-and-vectors/sequence.fun
Xlib/mlton/sml/basis-library/arrays-and-vectors/sequence.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector-slice.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector.sig
Xlib/mlton/sml/basis-library/arrays-and-vectors/vector.sml
Xlib/mlton/sml/basis-library/general/bool.sig
Xlib/mlton/sml/basis-library/general/bool.sml
Xlib/mlton/sml/basis-library/general/general.sig
Xlib/mlton/sml/basis-library/general/general.sml
Xlib/mlton/sml/basis-library/general/option.sig
Xlib/mlton/sml/basis-library/general/option.sml
Xlib/mlton/sml/basis-library/general/sml90.sig
Xlib/mlton/sml/basis-library/general/sml90.sml
Xlib/mlton/sml/basis-library/integer/embed-int.sml
Xlib/mlton/sml/basis-library/integer/embed-word.sml
Xlib/mlton/sml/basis-library/integer/int-inf.sig
Xlib/mlton/sml/basis-library/integer/int-inf.sml
Xlib/mlton/sml/basis-library/integer/int.sml
Xlib/mlton/sml/basis-library/integer/integer.sig
Xlib/mlton/sml/basis-library/integer/pack-word.sig
Xlib/mlton/sml/basis-library/integer/pack-word32.sml
Xlib/mlton/sml/basis-library/integer/patch.sml
Xlib/mlton/sml/basis-library/integer/word.sig
Xlib/mlton/sml/basis-library/integer/word.sml
Xlib/mlton/sml/basis-library/io/bin-io.sig
Xlib/mlton/sml/basis-library/io/bin-io.sml
Xlib/mlton/sml/basis-library/io/bin-prim-io.sml
Xlib/mlton/sml/basis-library/io/bin-stream-io.sig
Xlib/mlton/sml/basis-library/io/imperative-io.fun
Xlib/mlton/sml/basis-library/io/imperative-io.sig
Xlib/mlton/sml/basis-library/io/io.sig
Xlib/mlton/sml/basis-library/io/io.sml
Xlib/mlton/sml/basis-library/io/prim-io.fun
Xlib/mlton/sml/basis-library/io/prim-io.sig
Xlib/mlton/sml/basis-library/io/stream-io.fun
Xlib/mlton/sml/basis-library/io/stream-io.sig
Xlib/mlton/sml/basis-library/io/text-io.sig
Xlib/mlton/sml/basis-library/io/text-io.sml
Xlib/mlton/sml/basis-library/io/text-prim-io.sml
Xlib/mlton/sml/basis-library/io/text-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/array.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-array.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-array2.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-vector-array-array2-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/mono-vector.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/vector-array-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors/vector.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/bind
Xlib/mlton/sml/basis-library/libs/basis-1997/integer/word.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/bin-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/io/text-stream-io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/file-sys-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/file-sys.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/flags-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/flags.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/io-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/io.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/posix-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/posix.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/process-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/process.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/tty-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/posix/tty.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/real/IEEE-real-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/real/IEEE-real.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/real/real-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/real/real.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/file-sys-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/file-sys.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/os-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/os.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/path-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/path.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/process-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/process.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/timer-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/timer.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/system/unix-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/system/unix.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/string.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/substring.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/text/text-convert.fun
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis-funs.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis-sigs.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/overloads.sml
Xlib/mlton/sml/basis-library/libs/basis-1997/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/bind
Xlib/mlton/sml/basis-library/libs/basis-2002-strict/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/bind
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/Makefile
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis-funs.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis-sigs.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/generate-overloads.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/overloads.sml
Xlib/mlton/sml/basis-library/libs/basis-2002/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/basis-none/bind
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/basis.sig
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/basis.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/infixes.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/suffix.sml
Xlib/mlton/sml/basis-library/libs/basis-none/top-level/top-level.sml
Xlib/mlton/sml/basis-library/libs/build
Xlib/mlton/sml/basis-library/list/list-pair.sig
Xlib/mlton/sml/basis-library/list/list-pair.sml
Xlib/mlton/sml/basis-library/list/list.sig
Xlib/mlton/sml/basis-library/list/list.sml
Xlib/mlton/sml/basis-library/misc/C.sig
Xlib/mlton/sml/basis-library/misc/C.sml
Xlib/mlton/sml/basis-library/misc/basic.sml
Xlib/mlton/sml/basis-library/misc/cleaner.sig
Xlib/mlton/sml/basis-library/misc/cleaner.sml
Xlib/mlton/sml/basis-library/misc/dynamic-wind.sig
Xlib/mlton/sml/basis-library/misc/dynamic-wind.sml
Xlib/mlton/sml/basis-library/misc/primitive.sml
Xlib/mlton/sml/basis-library/misc/reader.sig
Xlib/mlton/sml/basis-library/misc/reader.sml
Xlib/mlton/sml/basis-library/misc/suffix.sml
Xlib/mlton/sml/basis-library/misc/unique-id.fun
Xlib/mlton/sml/basis-library/misc/unique-id.sig
Xlib/mlton/sml/basis-library/misc/util.sml
Xlib/mlton/sml/basis-library/mlton/array.sig
Xlib/mlton/sml/basis-library/mlton/bin-io.sig
Xlib/mlton/sml/basis-library/mlton/cont.sig
Xlib/mlton/sml/basis-library/mlton/cont.sml
Xlib/mlton/sml/basis-library/mlton/exn.sig
Xlib/mlton/sml/basis-library/mlton/exn.sml
Xlib/mlton/sml/basis-library/mlton/ffi.sig
Xlib/mlton/sml/basis-library/mlton/ffi.sml
Xlib/mlton/sml/basis-library/mlton/finalizable.sig
Xlib/mlton/sml/basis-library/mlton/finalizable.sml
Xlib/mlton/sml/basis-library/mlton/gc.sig
Xlib/mlton/sml/basis-library/mlton/gc.sml
Xlib/mlton/sml/basis-library/mlton/int-inf.sig
Xlib/mlton/sml/basis-library/mlton/io.fun
Xlib/mlton/sml/basis-library/mlton/io.sig
Xlib/mlton/sml/basis-library/mlton/itimer.sig
Xlib/mlton/sml/basis-library/mlton/itimer.sml
Xlib/mlton/sml/basis-library/mlton/mlton.sig
Xlib/mlton/sml/basis-library/mlton/mlton.sml
Xlib/mlton/sml/basis-library/mlton/platform.sig
Xlib/mlton/sml/basis-library/mlton/platform.sml
Xlib/mlton/sml/basis-library/mlton/pointer.sig
Xlib/mlton/sml/basis-library/mlton/pointer.sml
Xlib/mlton/sml/basis-library/mlton/proc-env.sig
Xlib/mlton/sml/basis-library/mlton/proc-env.sml
Xlib/mlton/sml/basis-library/mlton/process.sig
Xlib/mlton/sml/basis-library/mlton/process.sml
Xlib/mlton/sml/basis-library/mlton/profile.sig
Xlib/mlton/sml/basis-library/mlton/profile.sml
Xlib/mlton/sml/basis-library/mlton/ptrace.sig
Xlib/mlton/sml/basis-library/mlton/ptrace.sml
Xlib/mlton/sml/basis-library/mlton/random.sig
Xlib/mlton/sml/basis-library/mlton/random.sml
Xlib/mlton/sml/basis-library/mlton/rlimit.sig
Xlib/mlton/sml/basis-library/mlton/rlimit.sml
Xlib/mlton/sml/basis-library/mlton/rusage.sig
Xlib/mlton/sml/basis-library/mlton/rusage.sml
Xlib/mlton/sml/basis-library/mlton/signal.sig
Xlib/mlton/sml/basis-library/mlton/signal.sml
Xlib/mlton/sml/basis-library/mlton/socket.sig
Xlib/mlton/sml/basis-library/mlton/socket.sml
Xlib/mlton/sml/basis-library/mlton/syslog.sig
Xlib/mlton/sml/basis-library/mlton/syslog.sml
Xlib/mlton/sml/basis-library/mlton/text-io.sig
Xlib/mlton/sml/basis-library/mlton/thread.sig
Xlib/mlton/sml/basis-library/mlton/thread.sml
Xlib/mlton/sml/basis-library/mlton/vector.sig
Xlib/mlton/sml/basis-library/mlton/weak.sig
Xlib/mlton/sml/basis-library/mlton/weak.sml
Xlib/mlton/sml/basis-library/mlton/word.sig
Xlib/mlton/sml/basis-library/mlton/world.sig
Xlib/mlton/sml/basis-library/mlton/world.sml
Xlib/mlton/sml/basis-library/net/generic-sock.sig
Xlib/mlton/sml/basis-library/net/generic-sock.sml
Xlib/mlton/sml/basis-library/net/inet-sock.sig
Xlib/mlton/sml/basis-library/net/inet-sock.sml
Xlib/mlton/sml/basis-library/net/net-host-db.sig
Xlib/mlton/sml/basis-library/net/net-host-db.sml
Xlib/mlton/sml/basis-library/net/net-prot-db.sig
Xlib/mlton/sml/basis-library/net/net-prot-db.sml
Xlib/mlton/sml/basis-library/net/net-serv-db.sig
Xlib/mlton/sml/basis-library/net/net-serv-db.sml
Xlib/mlton/sml/basis-library/net/net.sig
Xlib/mlton/sml/basis-library/net/net.sml
Xlib/mlton/sml/basis-library/net/socket.sig
Xlib/mlton/sml/basis-library/net/socket.sml
Xlib/mlton/sml/basis-library/net/unix-sock.sig
Xlib/mlton/sml/basis-library/net/unix-sock.sml
Xlib/mlton/sml/basis-library/notes.txt
Xlib/mlton/sml/basis-library/posix/error.sig
Xlib/mlton/sml/basis-library/posix/error.sml
Xlib/mlton/sml/basis-library/posix/file-sys.sig
Xlib/mlton/sml/basis-library/posix/file-sys.sml
Xlib/mlton/sml/basis-library/posix/flags.sig
Xlib/mlton/sml/basis-library/posix/flags.sml
Xlib/mlton/sml/basis-library/posix/io.sig
Xlib/mlton/sml/basis-library/posix/io.sml
Xlib/mlton/sml/basis-library/posix/posix.sig
Xlib/mlton/sml/basis-library/posix/posix.sml
Xlib/mlton/sml/basis-library/posix/primitive.sml
Xlib/mlton/sml/basis-library/posix/proc-env.sig
Xlib/mlton/sml/basis-library/posix/proc-env.sml
Xlib/mlton/sml/basis-library/posix/process.sig
Xlib/mlton/sml/basis-library/posix/process.sml
Xlib/mlton/sml/basis-library/posix/signal.sig
Xlib/mlton/sml/basis-library/posix/signal.sml
Xlib/mlton/sml/basis-library/posix/sys-db.sig
Xlib/mlton/sml/basis-library/posix/sys-db.sml
Xlib/mlton/sml/basis-library/posix/tty.sig
Xlib/mlton/sml/basis-library/posix/tty.sml
Xlib/mlton/sml/basis-library/real/IEEE-real.sig
Xlib/mlton/sml/basis-library/real/IEEE-real.sml
Xlib/mlton/sml/basis-library/real/math.sig
Xlib/mlton/sml/basis-library/real/pack-real.sig
Xlib/mlton/sml/basis-library/real/pack-real.sml
Xlib/mlton/sml/basis-library/real/real.fun
Xlib/mlton/sml/basis-library/real/real.sig
Xlib/mlton/sml/basis-library/real/real32.sml
Xlib/mlton/sml/basis-library/real/real64.sml
Xlib/mlton/sml/basis-library/sml-nj/sml-nj.sig
Xlib/mlton/sml/basis-library/sml-nj/sml-nj.sml
Xlib/mlton/sml/basis-library/sml-nj/unsafe.sig
Xlib/mlton/sml/basis-library/sml-nj/unsafe.sml
Xlib/mlton/sml/basis-library/system/command-line.sig
Xlib/mlton/sml/basis-library/system/command-line.sml
Xlib/mlton/sml/basis-library/system/date.sig
Xlib/mlton/sml/basis-library/system/date.sml
Xlib/mlton/sml/basis-library/system/file-sys.sig
Xlib/mlton/sml/basis-library/system/file-sys.sml
Xlib/mlton/sml/basis-library/system/io.sig
Xlib/mlton/sml/basis-library/system/io.sml
Xlib/mlton/sml/basis-library/system/os.sig
Xlib/mlton/sml/basis-library/system/os.sml
Xlib/mlton/sml/basis-library/system/path.sig
Xlib/mlton/sml/basis-library/system/path.sml
Xlib/mlton/sml/basis-library/system/pre-os.sml
Xlib/mlton/sml/basis-library/system/process.sig
Xlib/mlton/sml/basis-library/system/process.sml
Xlib/mlton/sml/basis-library/system/time.sig
Xlib/mlton/sml/basis-library/system/time.sml
Xlib/mlton/sml/basis-library/system/timer.sig
Xlib/mlton/sml/basis-library/system/timer.sml
Xlib/mlton/sml/basis-library/system/unix.sig
Xlib/mlton/sml/basis-library/system/unix.sml
Xlib/mlton/sml/basis-library/text/byte.sig
Xlib/mlton/sml/basis-library/text/byte.sml
Xlib/mlton/sml/basis-library/text/char.sig
Xlib/mlton/sml/basis-library/text/char.sml
Xlib/mlton/sml/basis-library/text/char0.sml
Xlib/mlton/sml/basis-library/text/string-cvt.sig
Xlib/mlton/sml/basis-library/text/string-cvt.sml
Xlib/mlton/sml/basis-library/text/string.sig
Xlib/mlton/sml/basis-library/text/string.sml
Xlib/mlton/sml/basis-library/text/string0.sml
Xlib/mlton/sml/basis-library/text/substring.sig
Xlib/mlton/sml/basis-library/text/substring.sml
Xlib/mlton/sml/basis-library/text/text.sig
Xlib/mlton/sml/basis-library/text/text.sml
Xlib/mlton/sml/basis-library/top-level/arithmetic.sml
Xlib/mlton/sml/basis-library/top-level/infixes.sml
Xlib/mlton/target-map
Xlib/mlton/world.mlton
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%DOCSDIR%%/changelog
X%%PORTDOCS%%%%DOCSDIR%%/cmcat/cmcat.sml
X%%PORTDOCS%%%%DOCSDIR%%/cmcat/sources.cm
X%%PORTDOCS%%%%DOCSDIR%%/examples/Makefile
X%%PORTDOCS%%%%DOCSDIR%%/examples/callcc.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/command-line.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/ffi/Makefile
X%%PORTDOCS%%%%DOCSDIR%%/examples/ffi/export.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/ffi/ffi-export.c
X%%PORTDOCS%%%%DOCSDIR%%/examples/ffi/ffi-import.c
X%%PORTDOCS%%%%DOCSDIR%%/examples/ffi/import.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/finalizable/Makefile
X%%PORTDOCS%%%%DOCSDIR%%/examples/finalizable/cons.c
X%%PORTDOCS%%%%DOCSDIR%%/examples/finalizable/finalizable.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/hello-world.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/profiling/Makefile
X%%PORTDOCS%%%%DOCSDIR%%/examples/profiling/fib-tak.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/profiling/list-rev.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/profiling/tak.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/same-fringe.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/save-world/Makefile
X%%PORTDOCS%%%%DOCSDIR%%/examples/save-world/save-world.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/signals.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/size.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/taut.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/thread-switch.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/thread1.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/thread2.sml
X%%PORTDOCS%%%%DOCSDIR%%/examples/timeout.sml
X%%PORTDOCS%%%%DOCSDIR%%/license/MLKit-LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/license/MLton-LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/license/NJ-LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/license/README
X%%PORTDOCS%%%%DOCSDIR%%/license/gdtoa-LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/license/gmp-LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/mllex.ps.gz
X%%PORTDOCS%%%%DOCSDIR%%/mlyacc.ps.gz
X%%PORTDOCS%%%%DOCSDIR%%/user-guide.ps.gz
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Basis_library.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Bugs.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/CM.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Compiling_MLton.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Credits.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Cross_compiling.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Deviations_SML_NJ_from.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Drawbacks_MLton.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Features_MLton.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Foreign_function_interface.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Getting_started.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/MLton_extensions.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Manual_page.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Platform_specific_notes.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Profiling.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/Type_checking.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/contents_motif.gif
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/index.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/main.haux
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/main.htoc
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/main016.html
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/next_motif.gif
X%%PORTDOCS%%%%DOCSDIR%%/user-guide/previous_motif.gif
X@dirrm lib/mlton/self
X@dirrm lib/mlton/include
X@dirrm lib/mlton/sml/basis-library/general
X@dirrm lib/mlton/sml/basis-library/top-level
X@dirrm lib/mlton/sml/basis-library/text
X@dirrm lib/mlton/sml/basis-library/system
X@dirrm lib/mlton/sml/basis-library/sml-nj
X@dirrm lib/mlton/sml/basis-library/arrays-and-vectors
X@dirrm lib/mlton/sml/basis-library/integer
X@dirrm lib/mlton/sml/basis-library/real
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/integer
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/arrays-and-vectors
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/text
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/io
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/real
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/system
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997/posix
X@dirrm lib/mlton/sml/basis-library/libs/basis-1997
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002-strict/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-2002-strict
X@dirrm lib/mlton/sml/basis-library/libs/basis-none/top-level
X@dirrm lib/mlton/sml/basis-library/libs/basis-none
X@dirrm lib/mlton/sml/basis-library/libs
X@dirrm lib/mlton/sml/basis-library/io
X@dirrm lib/mlton/sml/basis-library/misc
X@dirrm lib/mlton/sml/basis-library/mlton
X@dirrm lib/mlton/sml/basis-library/net
X@dirrm lib/mlton/sml/basis-library/posix
X@dirrm lib/mlton/sml/basis-library/list
X@dirrm lib/mlton/sml/basis-library
X@dirrm lib/mlton/sml
X@dirrm lib/mlton
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/license
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/ffi
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/finalizable
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/profiling
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/save-world
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmcat
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/user-guide
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-usr/ports/lang/mlton/pkg-plist
exit
Comment 15 Thierry Thomas freebsd_committer 2004-08-15 16:51:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


After several private mails with the submitter, I have decided 
to handle this PR.
Comment 16 Thierry Thomas freebsd_committer 2004-08-21 16:43:03 UTC
State Changed
From-To: open->closed


New port added, thanks for your patience!